Name:		qubes-input-proxy
Version:	1.0.40
Release:	1%{?dist}
Obsoletes:	input-proxy
Summary:	Simple input device proxy (dom0)

Group:		System Environment/Daemons
License:	GPLv2
URL:		https://www.qubes-os.org/

BuildRequires:  make
BuildRequires:	gcc
BuildRequires:	kernel-headers
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel

Requires: %{name}-receiver

Source0: %{name}-%{version}.tar.gz

%description
Simple input device proxy, which pass events from /dev/input/eventN device, to
/dev/uintput. It uses stdin/stdout, so it suitable for use as Qubes RPC service.
This package is receiver part.

%package sender
Summary:    Simple input device proxy (sender)
%{?systemd_requires}
BuildRequires:  systemd

%description sender
Simple input device proxy, which pass events from /dev/input/eventN device, to
/dev/uintput. It uses stdin/stdout, so it suitable for use as Qubes RPC service.
This package is sender part.

%package receiver
Summary:    Simple input device proxy (receiver)
%{?systemd_requires}
BuildRequires:  systemd

%description receiver
Simple input device proxy, which pass events from /dev/input/eventN device, to
/dev/uintput. It uses stdin/stdout, so it suitable for use as Qubes RPC service.
This package is sender part.

%prep
%setup -q

%build
make %{?_smp_mflags} all


%install
make install DESTDIR=%{buildroot} PYTHON=%{__python3}

# this really means Qubes > 4.1
%if 0%{?fedora} > 32
rm -rf %{buildroot}/etc/qubes-rpc/policy
%endif

%files
%doc README.md
%defattr(-,root,root,-)
%dir %{python3_sitelib}/qubesinputproxy-*.egg-info
%{python3_sitelib}/qubesinputproxy-*.egg-info/*
%{python3_sitelib}/qubesinputproxy
# this really means Qubes <= 4.1
%if 0%{?fedora} <= 32
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputMouse
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputKeyboard
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputTablet
%endif

%files sender
%doc README.md
%defattr(-,root,root,-)
/etc/sudoers.d/qubes-input-trigger
/usr/bin/input-proxy-sender
/usr/bin/qubes-input-sender
/usr/bin/qubes-input-trigger
%config(noreplace) /etc/xdg/autostart/qubes-input-trigger.desktop
/lib/udev/rules.d/90-qubes-input-proxy.rules
%{_unitdir}/qubes-input-sender-tablet@.service
%{_unitdir}/qubes-input-sender-mouse@.service
%{_unitdir}/qubes-input-sender-keyboard@.service
%{_unitdir}/qubes-input-sender-keyboard-mouse@.service

%files receiver
%doc README.md
%defattr(-,root,root,-)
/usr/bin/input-proxy-receiver
/etc/qubes-rpc/qubes.InputMouse
/etc/qubes-rpc/qubes.InputKeyboard
/etc/qubes-rpc/qubes.InputTablet
/lib/udev/rules.d/90-qubes-uinput.rules
/lib/modules-load.d/qubes-uinput.conf

%changelog
* Fri Nov 22 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-input-proxy

* Fri Nov 22 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7ce84cd
- version 1.0.40

* Fri Nov 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 15acdb2
- ci: drop R4.1, add R4.3

* Fri Nov 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bdf1576
- Fix parsing device capabilities

* Sun Nov 10 2024 Marcus Ofenhed <Ofenhed@users.noreply.github.com> - cd5e5f2
- Add ability to filter qubes input devices with udev rules

* Fri Nov 08 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9763d72
- version 1.0.39

* Thu Nov 07 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6b05e8a
- Replace PiKVM special handling with more generic one

* Sun Aug 18 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 404ee2e
- version 1.0.38

* Sun Jul 28 2024 M. Vefa Bicakci <m.v.b@runbox.com> - 0d1c940
- input-proxy-sender: Add comment re: masking LED events

* Tue Jul 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d2e9f77
- version 1.0.37

* Sun Jul 14 2024 M. Vefa Bicakci <m.v.b@runbox.com> - b99b4d6
- input-proxy-sender: Mask LED events

* Wed May 01 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b66dc67
- version 1.0.36

* Sat Apr 20 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 482eb20
- tests: force installing with pip

* Mon Feb 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ed6bdeb
- version 1.0.35

* Mon Feb 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d64db3e
- input-proxy-receiver: fix parameters order

* Tue Sep 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6274814
- version 1.0.34

* Sat Aug 26 2023 Everett Gally <egally@protonmail.com> - 0d01d37
- exclude qubes virtual input device created by the gui agent from qubes-input-trigger. It still works if not excluded, but notifications about qubes.InputMouse and qubes.InputKeyboard will be raised every time a qube loads if not excluded.

* Wed Aug 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 01f1579
- version 1.0.33

* Mon Jul 31 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cf362d9
- Ask for absolute events for PiKVM mouse

* Wed Apr 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e952c35
- version 1.0.32

* Mon Apr 17 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2e44479
- Make new packaging compatible with legacy builder

* Sun Apr 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 76d7535
- Rework Archlinux packaging

* Fri Feb 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c75e55
- version 1.0.31

* Tue Jan 24 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 353724e
- Drop legacy policy files

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c5e77f0
- version 1.0.30

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3a52cb6
- debian: drop dep on python2

* Mon Nov 28 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6281981
- version 1.0.29

* Mon Oct 31 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b9f7578
- tests: Switch to own fork of python-uinput

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 07abab9
- version 1.0.28

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6864bac
- builderv2: Rename 'spec' to 'build'

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e58e1aa
- version 1.0.27

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 458cc88
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 642011b
- Drop Travis CI

* Thu Jan 13 2022 Locria Cyber <74560659+locriacyber@users.noreply.github.com> - 5d08800
- Fix sudoers.d permission to 600; add build documentation for arch linux

* Sat Jan 08 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a58d3a1
- version 1.0.26

* Sun Dec 19 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e252dbe
- debian: use USRLIBDIR instead of patch

* Tue Oct 26 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cafd9d5
- version 1.0.25

* Mon Jul 12 2021 Nedyalko Andreev <n@andreev.sh> - 01b16f3
- Add support for building Archlinux packages

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1980a0e
- version 1.0.24

* Mon Jul 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5b6576f
- Avoid forwarding dom0 devices back to dom0

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 23a9643
- spec: add BR make

* Wed Feb 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c501f18
- Automatically detect dom0

* Sun Jan 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eadd478
- version 1.0.23

* Thu Dec 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8da370d
- Don't use sudo when already running as root

* Fri Dec 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 474e513
- Update sudo rules for new startup trigger mechanism

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a51d0ce
- Add .gitlab-ci.yml

* Tue Nov 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce5b8b8
- version 1.0.22

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09951e8
- Use rpm-dictated python3 version

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cb25fad
- Second attempt at filtering QEMU USB tablet

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 17f936a
- version 1.0.21

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cfb71ba
- rpm: claim ownership over python package dir itself

